Docs
Retrieve documents associated with a customer such as Passport or a National ID document.
The customer ID of the customer
2efbaa6d-5c4a-4b01-8651-92006d53ce5dThe ID for the document
e99a059b-8d9e-484c-8501-e421e7072ad9OK
The response contains the actual document file
Validation Error
Unauthorized
Insufficient Privileges
Not Found
Client error
Server error
GET /api/v1/customers/{customerId}/docs/{documentId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{The response contains the actual document file}Upload a new document associated with a specific customer using their Customer ID.
The document file to be uploaded, maximum size of 10MB
ISO 3166-1 alpha-2 country code for the country that issued the identity document (e.g. CA). Optional for client onboarding.
CAOK
Accepted
Validation Error
Unauthorized
Insufficient Privileges
Payload too large
Unprocessable Entity
Client error
Server error
POST /api/v1/customers/{customerId}/docs HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 88
{
"documentType": "PASSPORT",
"documentFormat": "PDF",
"file": "binary",
"countryOfIssue": "CA"
}{
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"customerStatus": "ONBOARDING",
"onboardingStatus": "PENDING_DOCUMENTATION_RECEIPT",
"documents": [
{
"documentType": "PASSPORT",
"documentStatus": "PENDING_RECEIPT"
},
{
"documentType": "NATIONAL_ID_FRONT",
"documentStatus": "PENDING_RECEIPT"
},
{
"documentType": "NATIONAL_ID_BACK",
"documentStatus": "PENDING_RECEIPT"
}
]
}Resubmit documentation to onboard a Customer
The document file to be uploaded, maximum size of 2MB
ISO 3166-1 alpha-2 country code for the country that issued the identity document (e.g. CA). Optional for client onboarding.
CAOK
Validation Error
Unauthorized
Insufficient Privileges
Payload too large
Unprocessable Entity
Client error
Server error
PUT /api/v1/customers/{customerId}/docs HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 88
{
"documentType": "PASSPORT",
"documentFormat": "PDF",
"file": "binary",
"countryOfIssue": "CA"
}{
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"customerStatus": "ONBOARDING",
"onboardingStatus": "PENDING_DOCUMENTATION_RECEIPT",
"documents": [
{
"documentType": "PASSPORT",
"documentStatus": "PENDING_RECEIPT",
"countryOfIssue": "CA"
},
{
"documentType": "NATIONAL_ID_FRONT",
"documentStatus": "PENDING_RECEIPT"
},
{
"documentType": "NATIONAL_ID_BACK",
"documentStatus": "PENDING_RECEIPT"
}
]
}Last updated